## pgplot5 5.2.2

=== sys_openstep/pgview/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = pgview

PROJECTVERSION = 2.6
PROJECT_TYPE = Application
LANGUAGE = English

NEXTSTEP_APPICON = pgicon.tiff
ICONSECTIONS =	-sectcreate __ICON app pgicon.tiff

GLOBAL_RESOURCES = cross.tiff

CLASSES = dispatchobj.m hostobj.m ipanelobj.m pgviewobj.m portobj.m

HFILES = dispatchobj.h hostobj.h ipanelobj.h pgviewobj.h portobj.h

MFILES = pgview_main.m

OTHERSRCS = Makefile


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = app.make
NEXTSTEP_INSTALLDIR = $(HOME)/Apps
WINDOWS_INSTALLDIR = /MyApps
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


FRAMEWORKS = -framework AppKit -framework Foundation


include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== debian/changelog ===
pgplot5 (5.2.2-19ubuntu1) trusty; urgency=low

  * Use multiarch lib path for linker target modification. 

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 19 Jan 2014 15:41:57 -0500

pgplot5 (5.2.2-19) unstable; urgency=low

  * Change Suggests to libpng-dev instead of libpng12-dev.

 -- Carlo Segre <segre@debian.org>  Sun, 04 Mar 2012 22:47:21 -0600

pgplot5 (5.2.2-18) unstable; urgency=low

  * [Colin Watson] 
     Fix link order so that inter-library linkage of 
     libpgplot.so and libcpgplot.so is recorded correctly with 
     'ld --as-needed' (Closes: #648950).
  * Changed to source format 3.0 (quilt)
  * Add targets for build-indep and build-arch.
  * Change Build-Depends to unversioned libpng-dev
  * Upgrade to Standards-Version 3.9.2 (no changes)

 -- Carlo Segre <segre@debian.org>  Tue, 22 Nov 2011 00:18:34 -0600

pgplot5 (5.2.2-17) unstable; urgency=low

  * Apply patches when building on 64-bit systems (Closes: #577815)

 -- Carlo Segre <segre@debian.org>  Sun, 25 Apr 2010 10:34:46 -0500

pgplot5 (5.2.2-16) unstable; urgency=low

  * Add debian/source/format file
  * Remove dh_undocumnted call in debian/rules
  * Add ${misc:Depends} to debian/control
  * Change doc-base section to Science/Data Analysis
  * upgrade to Standards-Version 3.8.4 (no changes)

 -- Carlo Segre <segre@debian.org>  Fri, 23 Apr 2010 23:24:00 -0500

pgplot5 (5.2.2-15) unstable; urgency=low

  * Removed Gopal Narayanan from Uploaders upon request of MIA
    team (Closes: #503490).
  * Replaced Depends on x-dev with x11proto-core-dev
  * Upgraded to Standards-Version 3.8.1 (no changes required).

 -- Carlo Segre <segre@debian.org>  Sun, 10 May 2009 13:14:34 -0500

pgplot5 (5.2.2-14) unstable; urgency=low

  * Remove debian/shlibs.local which was causing the insertion of 
    the pgplot dependency (thanks to Raphael Hertzog).

 -- Carlo Segre <segre@debian.org>  Tue, 25 Mar 2008 13:59:46 -0500

pgplot5 (5.2.2-13) unstable; urgency=low

  * Insert static library dependencies to avoid pgplot dependency 
    being inserted.  This is only a temporary fix! (Closes: #472617)
  * Revert the Provides: pgplot to Replaces/Conflicts.

 -- Carlo Segre <segre@debian.org>  Tue, 25 Mar 2008 09:30:02 -0500

pgplot5 (5.2.2-12) unstable; urgency=low

  * Change Build-Depends and Suggests in debian/control because of
    libungif4 -> libgif transition.
  * Replace Conflicts/Replaces: pgplot with Provides: pgplot since
    debhelper is now inserting dependency on pgplot.
  * Update to Standards-Verison 3.7.3 (no changes).

 -- Carlo Segre <segre@debian.org>  Mon, 24 Mar 2008 22:03:25 -0500

pgplot5 (5.2.2-11) unstable; urgency=low

  * Properly link libpng (Closes: #422365)

 -- Carlo Segre <segre@debian.org>  Mon, 10 Sep 2007 12:25:12 -0500

pgplot5 (5.2.2-10) unstable; urgency=low

  * Courtesy of Niko Tyni:
    - Remove unneeded debian/compc, a "hack to get around a strange
      makefile problem" that was ignoring compiler flags.
    - Include a shared version of the C binding library, needed by
      the Perl bindings. (Closes: #407462)
  * Transition to gfortran since g77 is being removed for lenny

 -- Carlo Segre <segre@debian.org>  Sun, 09 Sep 2007 19:07:26 -0500

pgplot5 (5.2.2-9) unstable; urgency=low

  * Changing Maintainer field upon request of mia@qa.debian.org
  * Designating package as autobuildable

 -- Carlo Segre <segre@debian.org>  Sat, 21 Apr 2007 12:44:09 -0500

pgplot5 (5.2.2-8) unstable; urgency=low

  * Adding co-maintainer: Carlo Segre <segre@debian.org>
  * Applying NMU patches, thanks to Matej Vela <vela@debian.org>:
      libxaw-dev (Closes: #375459)
      dh_installdocs (Closes: #376822)

 -- Carlo Segre <segre@debian.org>  Sat, 15 Jul 2006 16:18:41 -0500

pgplot5 (5.2.2-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against libxaw7.  Closes: #375459.
  * debian/rules: Remove duplicate invocation of dh_installdocs that was
    causing warnings from install-docs on removal.  Closes: #376822.

 -- Matej Vela <vela@debian.org>  Thu, 13 Jul 2006 07:32:39 +0200

pgplot5 (5.2.2-7) unstable; urgency=low

  * Closing NMU bug for build-depends on png library. Closes: #328345
  * Fixed libpgplot.so is not linked against -lX11 bug. Thanks Achim
    Bohnet <ach@mpe.mpg.de> for the patch. Closes: #281832
  * Closes bug relating to NMU patch for build-depends. Thanks Steinar
    H. Gunderson <sgunderson@bigfoot.com>. Closes: #349385
  * Allowing GIF output since Unisys LZW patent has long expired. Thanks
    Achim Bohnet <ach@mpe.mpg.de>. Closes: #281882
  * Closes fixed FTBFS bug from NMU. Closes: #346934

 -- Gopal Narayanan <gopal@debian.org>  Fri, 16 Jun 2006 10:43:17 -0400

pgplot5 (5.2.2-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replace build-dependency on xlibs-dev with an explicit build-dependency
    on each required package.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 22 Jan 2006 18:34:29 +0100

pgplot5 (5.2.2-6.1) unstable; urgency=low

  * NMU
  * Update Build-Depend for libpng12 (Closes: #328345)

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 29 Oct 2005 16:55:13 +1000

pgplot5 (5.2.2-6) unstable; urgency=low

  * Removed PIC compilation for static library. Closes: #146077
  * Remove old dh_dhelp and use dh_installdocs instead. Closes: #248551

 -- Gopal Narayanan <gopal@debian.org>  Wed,  9 Jun 2004 09:45:59 -0400

pgplot5 (5.2.2-5) unstable; urgency=low

  * Added Versaterm Pro for terminal emulation for Macs. Thanks John
    Howe <jhowe@lyra.astro.umass.edu>. Closes: #162198

 -- Gopal Narayanan <gopal@debian.org>  Tue, 24 Sep 2002 19:11:11 -0400

pgplot5 (5.2.2-4) unstable; urgency=low

  * Added xlibs-dev to Build-Depends
  * Added note to README.Debian about needing other dev packages if one
    wants to develop with pgplot5. Also added Suggests field. Thanks
    TANAKA Atushi <atan@bh.wakwak.com>. Closes: #133382

 -- Gopal Narayanan <gopal@debian.org>  Thu, 21 Mar 2002 10:03:35 -0500

pgplot5 (5.2.2-3) unstable; urgency=low



=== debian/control ===
Source: pgplot5
Section: non-free/math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Carlo Segre <segre@debian.org>
XS-Autobuild: yes
Build-Depends: debhelper (>= 5.0), gfortran, libpng-dev, zlib1g-dev, perl, 
    libx11-dev, libxaw7-dev, libxt-dev, x11proto-core-dev, libgif-dev
    , dpkg-dev (>= 1.16.0~)
Homepage: http://www.astro.caltech.edu/~tjp/pgplot/
Standards-Version: 3.9.2

Package: pgplot5
Architecture: any
Depends: ${shlibs:Depends}, zlib1g, ${misc:Depends}
Suggests: gfortran, libpng-dev, zlib1g-dev, libx11-dev, libxaw7-dev, 
    libxt-dev, x11proto-core-dev, libgif-dev
Replaces: pgplot
Conflicts: pgplot
Description: large subroutine library for plotting scientific data
 This package contains both runtime and development libraries.  Many
 routines are included in pgplot for viewing scientific data. Many
 (about 70) output devices are supported.  2-D , 3-D , contour, image
 manipulation, etc. are well supported. Interactive routines are
 included. Both a C and a FORTRAN library are present. See
 http://astro.caltech.edu/~tjp/pgplot/ for documentation.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
# modified by Gopal Narayanan <gopal@debian.org> to use
# debhelper commands
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

package=pgplot
npackage=pgplot5

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

vm=$(version_major)

curdir=$(shell pwd)
bdir=debian/builddir
packagedir=debian/$(npackage)

INSTALL =/usr/bin/install
GZIP    =/bin/gzip
INSTALL_DATA =$(INSTALL) -m644 -o root -g root
INSTALL_STRIP =$(INSTALL) -m755 -o root -g root -s
GZIP_DATA =$(GZIP) -9
INSTALL_DIR = $(INSTALL) -d -m755 -o root -g root

# Decide if changes for 64 bit systems need to be made
#
64-BIT_BUILD_STAMP =
64-BIT_CLEAN_STAMP =
ifeq (64,$(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS))
        64-BIT_BUILD_STAMP = 64-bit-patch-stamp
        64-BIT_CLEAN_STAMP = 64-bit-clean-stamp
endif

# Construct the library dependency entry for shlibs
#
shl1=lib$(package)  $(vm) pgplot5 (>= $(version))

# Restore 32-bit files
#
64-bit-clean-stamp:
	mv debian/gidriv.f drivers/gidriv.f
	mv debian/ppdriv.f drivers/ppdriv.f
	mv debian/wddriv.f drivers/wddriv.f
	rm 64-bit-patch-stamp

# Move 64-bit-safe files into position
#
64-bit-patch-stamp:
	mv drivers/gidriv.f debian/gidriv.f
	cp debian/gidriv_64.f drivers/gidriv.f
	mv drivers/ppdriv.f debian/ppdriv.f
	cp debian/ppdriv_64.f drivers/ppdriv.f
	mv drivers/wddriv.f debian/wddriv.f
	cp debian/wddriv_64.f drivers/wddriv.f
	touch 64-bit-patch-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: $(64-BIT_BUILD_STAMP)
	dh_testdir
	# create the build directory and copy configuration files to it.	
	install -d  $(bdir)
	cp debian/drivers.list.debian $(bdir)/drivers.list
	cp sys_linux/g77_gcc.conf sys_linux/g77_gcc.conf.orig 
	cp debian/g77_gcc.conf.debian sys_linux/g77_gcc.conf
	cd $(bdir); $(curdir)/makemake $(curdir)  linux g77_gcc
#       changeperl no longer necessary - upstream uses /usr/bin/perl now
#	perl debian/changeperl
	cd $(bdir);make FFLAGC="-u -Wall -O2" CFLAGC="-Wall -DPG_PPU -O3" all;make clean;make FFLAGC="-u -Wall -O2" CFLAGC="-Wall -DPG_PPU -O3" cpg;make pgplot.html;make pgplot-routines.tex
#	-cd $(bdir); rm *.o
	cd $(bdir) ; make clean; make  FFLAGC="-u -Wall  -O2 -fPIC" CFLAGC="-Wall -fPIC -D_REENTRANT -DPG_PPU -O3" VM="$(version_major)"  shared cpg-shared
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -rf static shared
	-rm -f build-stamp install-stamp
	-rm -rf $(bdir)
#	-make clean
#	-rm -f `find . -name "*~"`
#	-rm -rf debian/tmp `find debian/* -type d ! -name CVS` debian/files* core
	-rm -f debian/*substvars
	dh_clean

install: install-stamp
install-stamp: build-stamp $(64-BIT_CLEAN_STAMP)
	dh_testdir	
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(INSTALL_DATA) $(bdir)/libpgplot.a  $(packagedir)/usr/lib/
	$(INSTALL_DATA) $(bdir)/libcpgplot.a  $(packagedir)/usr/lib/
	$(INSTALL_DATA) $(bdir)/libpgplot.so  $(packagedir)/usr/lib/libpgplot.so.$(version)
	$(INSTALL_DATA) $(bdir)/libcpgplot.so  $(packagedir)/usr/lib/libcpgplot.so.$(version)
	strip --strip-unneeded $(packagedir)/usr/lib/libpgplot.so.$(version)
	strip --strip-unneeded $(packagedir)/usr/lib/libcpgplot.so.$(version)
	ln -s lib$(package).so.$(version) $(packagedir)/usr/lib/lib$(package).so.$(version_major)
	ln -s libcpgplot.so.$(version) $(packagedir)/usr/lib/libcpgplot.so.$(version_major)
	ln -s lib$(package).so.$(version_major) $(packagedir)/usr/lib/lib$(package).so
	ln -s libcpgplot.so.$(version_major) $(packagedir)/usr/lib/libcpgplot.so
#	chmod 644 $(packagedir)/usr/lib/$(npackage)/*
	$(INSTALL_DATA) $(bdir)/cpgplot.h $(packagedir)/usr/include/
#	$(INSTALL_STRIP)  $(bdir)/pgdisp $(packagedir)/usr/bin/
#	install  $(bdir)/pgbind $(packagedir)/usr/bin/
	$(INSTALL_STRIP)  $(bdir)/pgxwin_server  $(packagedir)/usr/bin/
#	cd $(packagedir)/usr/bin ; strip --strip-unneeded pgdisp  pgxwin_server
	$(INSTALL_DATA) $(bdir)/grexec.f $(packagedir)/usr/lib/$(npackage)
	$(INSTALL_DATA) $(bdir)/grfont.dat $(packagedir)/usr/lib/$(npackage)
	$(INSTALL_DATA) $(bdir)/grexec.f $(packagedir)/usr/lib/$(npackage)
	$(INSTALL_DATA) $(bdir)/rgb.txt $(packagedir)/usr/lib/$(npackage)
	$(INSTALL_DATA) $(bdir)/grpckg1.inc $(packagedir)/usr/lib/$(npackage)
# Install the overrides file for lintian
	cp -a debian/overrides $(packagedir)/usr/share/lintian/overrides/pgplot5

	#dh_movefiles
	touch install-stamp
	      
binary-indep: build install
#	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build install
#     dh_testversion	
	dh_testdir -a
	dh_testroot -a
#	-rm -rf $(packagedir)
#	install -d  $(packagedir)/DEBIAN

# Insert appropriate lines into shlibs file
#
#	echo -e '$(shl1)\n' >$(packagedir)/DEBIAN/shlibs

#	install -d $(packagedir)/usr/doc/$(npackage)/examples
#	install -d $(packagedir)/usr/lib/$(npackage)
#	install -d $(packagedir)/usr/bin
#	cd $(packagedir) && install -d `cat ../dirs`

	$(INSTALL_DATA) $(bdir)/pgplot.doc $(packagedir)/usr/share/doc/$(npackage)
	$(GZIP_DATA) $(packagedir)/usr/share/doc/$(npackage)/pgplot.doc
#	cp  pgdispd/aaaread.me  $(packagedir)/usr/share/doc/$(npackage)/pgdisp.txt
#	$(GZIP_DATA) $(packagedir)/usr/share/doc/$(npackage)/pgdisp.txt
	$(INSTALL_DATA) $(bdir)/drivers.list $(packagedir)/usr/share/doc/$(npackage)
	$(GZIP_DATA) $(packagedir)/usr/share/doc/$(npackage)/drivers.list
	$(INSTALL_DATA) $(bdir)/pgplot-routines.tex $(packagedir)/usr/share/doc/$(npackage)
	$(GZIP_DATA) $(packagedir)/usr/share/doc/$(npackage)/pgplot-routines.tex
	$(INSTALL_DATA) $(bdir)/pgplot.html $(packagedir)/usr/share/doc/$(npackage)
	$(INSTALL_DATA) cpg/cpgplot.doc $(packagedir)/usr/share/doc/$(npackage)
	$(GZIP_DATA) $(packagedir)/usr/share/doc/$(npackage)/cpgplot.doc
#	$(INSTALL_DATA) cpg/cpgdemo.c $(packagedir)/usr/share/doc/$(npackage)/examples
#	$(INSTALL_DATA) debian/pgplot.3x $(packagedir)/usr/man/man3
#	gzip -9v $(packagedir)/usr/man/man3/*
	dh_installman
	dh_installdocs
	$(INSTALL_DATA) aaaread.me $(packagedir)/usr/share/doc/$(npackage)
#	$(INSTALL_DATA) install-unix.txt $(packagedir)/usr/share/doc/$(npackage)
	$(INSTALL_DATA) ver5*.txt $(packagedir)/usr/share/doc/$(npackage)
	dh_installexamples examples/*.f
	dh_installexamples cpg/cpgdemo.c	
#	cp examples/* $(packagedir)/usr/share/doc/$(npackage)/examples


# Install installation scripts
#
#	cp debian/postinst $(packagedir)/DEBIAN/.
#	chmod +x $(packagedir)/DEBIAN/postinst

	dh_installchangelogs
	$(INSTALL_DATA) debian/copyright $(packagedir)/usr/share/doc/$(npackage)
	$(INSTALL_DATA) debian/changelog $(packagedir)/usr/share/doc/$(npackage)/changelog.Debian
	$(GZIP_DATA) $(packagedir)/usr/share/doc/$(npackage)/changelog.Debian
	dh_strip -a $(packagedir)/usr/bin/*
	dh_makeshlibs -a
	dh_link -a
#	dh_dhelp 
	dh_compress -a 
	dh_fixperms -a
#	dh_suidregister -a 
	dh_installdeb -a 
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

#	cp debian/README.debian $(packagedir)/usr/doc/$(npackage)
#	cp debian/changelog $(packagedir)/usr/doc/$(npackage)/changelog.Debian
#	gzip -9v $(packagedir)/usr/doc/$(npackage)/changelog.Debian
#	cp debian/copyright $(packagedir)/usr/doc/$(npackage)
#	dpkg-shlibdeps $(packagedir)/usr/lib/libpgplot.so.$(version)
#	dpkg-gencontrol
#	chown -R root.root $(packagedir)
#	chmod -R go=rX $(packagedir)
#	dpkg --build $(packagedir) ..

#define checkdir
#	test -f debian/rules
#endef

binary: binary-indep binary-arch

#checkroot:
#	$(checkdir)
#	test root = "`whoami`"

.PHONY: build clean binary-indep binary-arch binary install
